Subject: Re: locatedb: No such file
From: "Gerrit P. Haase" <[email-masked]>
To: Bob McGowan <[email-masked]>, Neil Zanella <[email-masked]>, "Dennis W. Bulgrien" <[email-masked]>, [email-masked]
Date: Sun, 31 Dec 2000 14:10:55 +0100

<30 Oct 2000, 12:16 Uhr wars, als Bob McGowan folgendes schrub:>
< Re: locatedb: No such file >

> The issue may be more extensive than just having periodic updates made to the database.
[...]

It is the main problem, that in cygwin-standard version, there is no updatedb-script
included. This was the point, why i built it for myself, and it works great.

[...]
> But there are more issues.  The script defines two variables (BINDIR and LIBEXECDIR) using
> "values" which I believe should have been substituted for during configuration, but were
> not:  @bindir@ and @libexecdir@.  Without a location for libexecdir, it cannot find 3
> tools it needs:  'frcode', 'bigram' and 'code'.  Of these 3, I can only find the first two
> on my system.

Yes, but it is not a great problem, only a small fix, and it works.
I fixed this with a little patch. All the executables were always included, and are also 
in my version.

> I don't have time right now to look at this any further.  If you need this feature now,
> I'd suggest downloading the source and configuring and building it yourself.

I built it.

> And of course, it may be possible that an fixed version is already available and I just
> havn't updated recently enough to have it.

Yes, here, sources with build-instructions and patch (three files)
or as binary (findutils-4.1-1-cygwin.tar.gz), which installs in /usr!
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Haase_Gerrit/1.1/
Read the README, please!!!

> As far as periodic invocation goes, it might be possible on NT to use a native periodic
> execution tool - see 'Control panel->Services->Schedule' and NT help for 'Schedule' and
> 'at'.  For systems that are shutdown after use, it may just have to be done from a startup
> script.

There is a cron port somewhere, don't know right now, where i found it, look out...

> Neil Zanella wrote:
> > 
> > Unfortunately it appears to me that cygwin does not come with the cron
> > deamon which is what usually updates the database overnight. On Red Hat
> > systems this is done by executing the script /etc/cron.daily/slocate.cron
> > which used to be called /etc/cron.dailt/updatedb.cron on older
> > distributions. All the script does is the following:
> > 
> > #!/bin/sh
> > 
> > /usr/bin/slocate -u -f "nfs,smbfs,ncpfs,proc,devpts" -e
> > "/tmp,/var/tmp,/usr/tmp,/afs,/net"
> > 
> > So perhaps we don't need cron but running it manually can be time
> > consuming.
> > 
> > Regards,
> > 
> > Neil
> > 
> > On Mon, 30 Oct 2000, Dennis W. Bulgrien wrote:
> > 
> > > Though I left cygwin prompt open all night, locate fails.  Is it supposed to work?
> > >
> > > $ locate dsp.bat
> > > locate: /usr/var/locatedb: No such file or directory

-- 
=^..^=
Gerrit Peter Haase
ID: 0x28A05137
FP: 875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple